%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-ironic
Version:        10.4.1
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Ironic
License:        ASL 2.0

URL:            https://launchpad.net/puppet-ironic

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.4.1
Patch0001: 0001-Fixes-for-Ironic-inspector-introspection-when-client.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Ironic

%prep
%setup -q -n openstack-ironic-%{upstream_version}

%patch0001 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/ironic/



%files
%{_datadir}/openstack-puppet/modules/ironic/


%changelog
* Thu Sep 21 2017 Steve Linabery <slinaber@redhat.com> 10.4.1-2
- Fixes for Ironic-inspector introspection when client using UEFI

* Wed Jun 28 2017 Mike Burns <mburns@redhat.com> 10.4.1-1
- Update to 10.4.1

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-3
- Allow to set port_setup_delay ironic::conductor param
- Add ability to translate net name to UUID
- Restart dnsmasq when config changes

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-2
- Add domain parameters to switch, neutron and glance auth modules
- Add separate manifest for configuring access from ironic to inspector
- Add separate manifest for configuring access to the service catalog

* Fri Mar 24 2017 Jon Schlueter <jschluet@redhat.com> 10.4.0-1
- Update to 10.4.0

* Fri Feb 10 2017 Alfredo Moralejo <amoralej@redhat.com> 10.3.0-1
- Update to 10.3.0


